<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_white">

    <View
        android:id="@+id/topBackground"
        android:layout_width="match_parent"
        android:layout_height="248dp"
        android:background="@drawable/bg_background_preview_top" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">


        <com.gh.gamecenter.common.view.StatusBarView
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <RelativeLayout
            android:id="@+id/normal_toolbar_container"
            android:layout_width="match_parent"
            android:layout_height="@dimen/appbar_height">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/normal_toolbar"
                style="@style/Base_ToolbarStyle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/transparent" />

            <TextView
                android:id="@+id/normal_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_marginLeft="50dp"
                android:layout_marginRight="50dp"
                android:gravity="center"
                android:singleLine="true"
                android:textColor="@color/text_black"
                android:textSize="15sp"
                android:textStyle="bold" />

        </RelativeLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="16dp"
            android:paddingRight="16dp">

            <androidx.cardview.widget.CardView
                android:id="@+id/homeContainer"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="72dp"
                android:layout_marginLeft="72dp"
                android:layout_marginEnd="72dp"
                android:layout_marginRight="72dp"
                android:layout_marginBottom="56dp"
                app:cardCornerRadius="8dp"
                app:cardBackgroundColor="@color/transparent"
                app:cardElevation="0dp"
                android:gravity="center_horizontal"
                android:visibility="invisible"
                app:layout_constraintBottom_toTopOf="@+id/alphaTv"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:visibility="visible">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <ImageView
                        android:id="@+id/personalHomeIv"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:alpha="1"
                        android:scaleType="centerCrop"
                        app:layout_constraintDimensionRatio="h,3:2"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:background="@color/text_subtitle" />

                    <ImageView
                        android:id="@+id/previewHomeIv"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:src="@drawable/preview_home"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </androidx.cardview.widget.CardView>

            <TextView
                android:id="@+id/changeBackgroundTv"
                android:layout_width="120dp"
                android:layout_height="30dp"
                android:background="@drawable/border_round_ccc_999"
                android:gravity="center"
                android:text="更换背景"
                android:textColor="@color/text_subtitle"
                android:textSize="13sp"
                android:visibility="invisible"
                android:layout_marginTop="28dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/homeContainer"
                tools:visibility="visible" />


            <TextView
                android:id="@+id/alphaTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginBottom="28dp"
                android:text="透明度"
                android:textColor="@color/text_subtitle"
                android:textSize="14sp"
                app:layout_constraintBottom_toTopOf="@+id/blurTv"
                app:layout_constraintEnd_toStartOf="@+id/alphaSeek"
                app:layout_constraintStart_toStartOf="parent" />

            <com.gh.gamecenter.common.view.CustomSeekBar
                android:id="@+id/alphaSeek"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:max="100"
                android:maxHeight="2dp"
                android:progress="100"
                android:progressDrawable="@drawable/seekbar_progress"
                android:thumb="@drawable/seekbar_thumb"
                app:layout_constraintBottom_toBottomOf="@+id/alphaTv"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/alphaTv"
                app:layout_constraintTop_toTopOf="@+id/alphaTv"
                app:progressTextColor="@color/text_06CCF4"
                app:progressTextPaddingBottom="3"
                app:progressTextSize="10sp" />


            <TextView
                android:id="@+id/blurTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginBottom="24dp"
                android:text="模糊度"
                android:textColor="@color/text_subtitle"
                android:textSize="14sp"
                app:layout_constraintBottom_toTopOf="@+id/commitTv"
                app:layout_constraintEnd_toStartOf="@+id/blurSeek"
                app:layout_constraintStart_toStartOf="parent" />

            <com.gh.gamecenter.common.view.CustomSeekBar
                android:id="@+id/blurSeek"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:max="25"
                android:maxHeight="2dp"
                android:progress="0"
                android:progressDrawable="@drawable/seekbar_progress"
                android:thumb="@drawable/seekbar_thumb"
                app:layout_constraintBottom_toBottomOf="@+id/blurTv"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/blurTv"
                app:layout_constraintTop_toTopOf="@+id/blurTv"
                app:progressTextColor="@color/text_06CCF4"
                app:progressTextPaddingBottom="3"
                app:progressTextSize="10sp" />


            <TextView
                android:id="@+id/commitTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:layout_marginBottom="10dp"
                android:background="@drawable/bg_notification_open_btn_style_2"
                android:gravity="center"
                android:padding="10dp"
                android:text="使用"
                android:textColor="@color/white"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>
</RelativeLayout>